﻿/*
The software is provided by the Institute of Commercial Cryptography Standards 
(ICCS), and is used for algorithm submissions in the Next-generation Commercial 
Cryptographic Algorithms Program. 

ICCS doesn't represent or warrant that the operation of the software will be 
uninterrupted or error-free in all cases. ICCS will take no responsibility for 
the use of the software or the results thereof, if the software is used for any 
other purposes.
*/

#include "KEX_AlgorithmInstance.h"
#include "drng.h"

// DRNG_ctx for generating pseudorandom numbers within the KEX protocol
extern DRNG_ctx drng_algorithm;

// The following should be used to get pseudorandom numbers
// get_random_number(&drng_algorithm, random_number, random_number_length_bit);

unsigned long long kex_get_rounds()
{
	return 3;
}

unsigned long long kex_get_pk_byts()
{
	return 0;
}

unsigned long long kex_get_sk_byts()
{
	return 0;
}

unsigned long long kex_get_pa_byts()
{
	return 0;
}

unsigned long long kex_get_pb_byts()
{
	return 0;
}

unsigned long long kex_get_ss_byts()
{
	return 0;
}

unsigned long long kex_get_bw_byts()
{
	return 0;
}

int kex_init_a(
	unsigned char *pka, unsigned long long *pka_byts,
	unsigned char *ska, unsigned long long *ska_byts,
	unsigned char *pa, unsigned long long *pa_byts)
{
	return 0;
}

int kex_init_b(
	unsigned char *pkb, unsigned long long *pkb_byts,
	unsigned char *skb, unsigned long long *skb_byts,
	unsigned char *pb, unsigned long long *pb_byts)
{
	return 0;
}

int kex_send_a(
	unsigned char *pkb, unsigned long long pkb_byts,
	unsigned char *pa, unsigned long long *pa_byts,
	unsigned char *ma, unsigned long long *ma_byts)
{
	return 0;
}

int kex_send_b(
	unsigned char *pka, unsigned long long pka_byts,
	unsigned char *ma, unsigned long long ma_byts,
	unsigned char *pb, unsigned long long *pb_byts,
	unsigned char *mb, unsigned long long *mb_byts,
	unsigned char *ssb, unsigned long long *ssb_byts)
{
	return 0;
}

int kex_resp_a(
	unsigned char *mb, unsigned long long mb_byts,
	unsigned char *pa, unsigned long long *pa_byts,
	unsigned char *ma, unsigned long long *ma_byts,
	unsigned char *ssa, unsigned long long *ssa_byts)
{
	return 0;
}

int kex_resp_b(
	unsigned char *ma, unsigned long long ma_byts,
	unsigned char *pb, unsigned long long *pb_byts,
	unsigned char *mb, unsigned long long *mb_byts,
	unsigned char *ssb, unsigned long long *ssb_byts)
{
	return 0;
}