/*
The software is provided by the Institute of Commercial Cryptography Standards 
(ICCS), and is used for algorithm submissions in the Next-generation Commercial 
Cryptographic Algorithms Program. 

ICCS doesn't represent or warrant that the operation of the software will be 
uninterrupted or error-free in all cases. ICCS will take no responsibility for 
the use of the software or the results thereof, if the software is used for any 
other purposes.
*/

#include "SIG_AlgorithmInstance.h"
#include "drng.h"

// DRNG_ctx for generating pseudorandom numbers within the SIG scheme
extern DRNG_ctx drng_algorithm;

// The following should be used to get pseudorandom numbers
// get_random_number(&drng_algorithm, random_number, random_number_length_bit);

unsigned long long sig_get_pk_byts()
{
	return 0;
}

unsigned long long sig_get_sk_byts()
{
	return 0;
}

unsigned long long sig_get_sn_byts()
{
	return 0;
}

int sig_keygen(
	unsigned char *pk, unsigned long long *pk_byts,
	unsigned char *sk, unsigned long long *sk_byts)
{
	return 0;
}

int sig_sign(
	unsigned char *sk, unsigned long long sk_byts,
	unsigned char *m, unsigned long long m_byts,
	unsigned char *sn, unsigned long long *sn_byts)
{
	return 0;
}

int sig_verify(
	unsigned char *pk, unsigned long long pk_byts,
	unsigned char *sn, unsigned long long sn_byts,
	unsigned char *m, unsigned long long m_byts)
{
	return 0;
}